<?php
/**
 * @var $this IWD_Opc_Block_Onepage_Wrapper
 * @var $opcHelper IWD_Opc_Helper_Data
 */
?>
<?php
	$opcHelper = $this->getOpcHelper();
	$showLoginButton = !$this->isCustomerLoggedIn() && $opcHelper->isShowLoginButton();
?>

<div class="iwd_opc_clear"></div>

<div class="iwd_opc_wrapper">
	<div class="iwd_opc_alternative_wrapper">
		<script type="text/javascript">
		var iwdOpcConfig = '<?php echo $this->jsQuoteEscape($this->getJsonConfig()); ?>';
		Validation.defaultOptions.addClassNameToContainer = true;
		Validation.defaultOptions.containerClassName = '.iwd_opc_universal_wrapper';
		</script>
		<?php /*if ($showLoginButton) {*/ ?>
		<?php if (false) { ?>
		<div class="iwd_opc_top">
			<div class="iwd_opc_top_buttons" data-has-login="true">
				<?php echo $this->getChildHtml('paypal_express'); ?>
				<?php echo $this->getChildHtml('paypaluk_express'); ?>
			</div>
		</div>
		<?php } ?>

		<div id="checkout_page_tabs" class="container"> 
			<ul  class="nav nav-pills">
				<!--<li class="<?php /*if($this->isCustomerLoggedIn()){echo "hide";}else {echo "active landing_save_cart";}?> 1atab" >
					<a  href="#1a" data-toggle="tab"><?php echo Mage::helper('customer')->__('Save your Cart'); */?></a>
				</li>-->
				<li class="<?php if(!$this->isCustomerLoggedIn()){echo "hide";}else {echo "active";}?> 4atab"  data-title='1'>
					<a  href="#4a" data-toggle="tab"><?php echo Mage::helper('customer')->__('Review');?></a>
				</li>
				<li class="<?php if($this->isCustomerLoggedIn()){echo "visited";} else{echo "hide";}?> 2atab"  data-title='2'><a href="#2a" data-toggle="tab"><?php echo Mage::helper('customer')->__('Address');?></a>
				</li>
				<li class="3atab <?php if($this->isCustomerLoggedIn()){echo "visited";} else{echo "hide";}?> " data-title='3'><a href="#3a" data-toggle="tab" class="" ><?php echo Mage::helper('checkout')->__('Place Order');?></a>
				</li>
			</ul>

			<div class="tab-content clearfix">
				<div class="tab-pane <?php if($this->isCustomerLoggedIn()){echo "hide";} else{echo "active";}?>" id="1a">
					<div class="iwd_opc_column sign_up" id="iwd_opc_address_column">
					<div class="sign_in_container open">
						<label for="">Enter your email to save your cart</label>
						<!--<div class="sign-in-accordian">
							<h2><?php echo Mage::helper('customer')->__('Login');?></h2>
							
						</div>-->

						<div class="sign_in_google" style="margin-top:15px;">
							


							<div class="iwd_opc_alternative_column login_section_cont">
								
								<div class="iwd_opc_column_content" tabindex="-1">
									<?php if (!$this->isCustomerLoggedIn()) { ?>

									
									<div class="iwd_opc_top_buttons ">
										<div class="login_cont_section">
								<a class="login-error hide"><?php echo Mage::helper('checkout')->__("Please fill in all fields");?></a>
											<div>
												<div class="email_cont form_cont">
													<input id="email_address" class="animate" placeholder="<?php echo Mage::helper('customer')->__('Email');?>"/>
													<div class="invalid-email hide">Please enter a valid email.</div>
												</div>
												<div>
													
												</div>
												<div class="email_cont form_cont" style="margin-top:20px;">
													<input class="hide" type="password" id="password" placeholder="<?php echo Mage::helper('customer')->__('Password')?>"/>
													<div class="already-registered hide">You are already reigstered. Please enter password.</div>
													<div class="invalid-email-password hide">Invalid Email or Password</div>
												</div>
												<div class="text-left forget_password hide" style="margin-top:5px">
													<a href="<?php echo Mage::getUrl('customer/account/forgotpassword');?>" class="f-left"><?php echo Mage::helper('customer')->__('Forgot Your Password?');?></a>
												</div>
											</div>
										</div>
										<div class="button_container_login">
											
											<button onclick="login();" id="save_cart"  class="sign_in_btn"><?php echo Mage::helper('customer')->__('Save Cart');?></button>
											
										</div>
										
									</div>


									<?php } else { ?>
									<div class="iwd_opc_top_buttons" data-has-login="false" style="margin-top:40px;" >
										Already Logged in as <a href="<?php echo Mage::getUrl('customer/account')?>"><?php echo $this->getCustomer()->getEmail()?></a>.<br><a href="<?php echo Mage::getUrl('customer/account/logout')?>"> Logout</a>
									</div>
									<?php } ?>
								</div>

							</div>
						<div class="custom_sign_or hide">Or</div>
						<div class="sign_in_google hide">
							<a class="primary_btn_new facebook_popup_btn " href="">facebook</a>
							<a class="primary_btn_new google_popup_btn " href="">Google</a>
						
						
							
						</div>

						</div>
						<div class="register_link desk_open">New to Organic&Real ? <a href="javascript:void(0);" class="register_accordian">Sign up</a></div>
						

						<button onclick="continueAsGuest(this);" class="guest_btn desk_open"><?php echo Mage::helper('checkout')->__("Checkout as Guest");?></button>
					</div>
						
					<div class="register_cont mobile_open ">
						
						<div class="">
									<label ><?php echo Mage::helper('checkout')->__('Register to Create an Account');?></label>
						
						</div>
						<div id="register_with_us" class="iwd_opc_alternative_column accordian_content" style="display:block;">
							
								<a class="register-error hide"><?php echo Mage::helper('checkout')->__("Please fill in all fields");?></a>
							<div class="iwd_opc_column_content login_cont_section">

								
									
									<input placeholder="<?php echo Mage::helper('customer')->__('First Name');?>" type="text" id="register_firstname"/>
									<input placeholder="<?php echo Mage::helper('customer')->__('Last Name');?>" type="text" id="register_lastname"/>
									<input placeholder="<?php echo Mage::helper('customer')->__('Email');?>" type="text" id="register_email"/>
									<input placeholder="<?php echo Mage::helper('customer')->__('Password');?>" type="password" id="register_password"/>
								
								<div class="already-registered-error hide"><?php echo Mage::helper('checkout')->__("You are already Registered with us. Please Login");?> <span style="color:blue;cursor:pointer;"  onclick="jQuery('.sign-in-accordian').trigger('click');jQuery('#email_address').val(jQuery('#register_email').val());jQuery('#password').addClass('showing');jQuery('#password').removeClass('hide');jQuery('.showing').focus();jQuery('#save_cart').text('Login')"><?php echo Mage::helper('customer')->__('Login');?>.</span></div>
								<div class="button_container_login">
									<button onclick="register();" class="sign_in_btn"><?php echo Mage::helper('checkout')->__('Register');?></button>
								</div>
							</div>
						</div>
						
						<div class="register_link desk_open">Already Registered? <a href="javascript:void(0);" class="sign_in_accordian">Sign in</a></div>

					</div>
					<div class="sign_social_icons">
						<div class="custom_sign_or hide_mob">Or</div>
							<button onclick="continueAsGuest(this);" class="guest_btn"><?php echo Mage::helper('checkout')->__("Checkout as Guest");?></button>

						

						<div  class="button_container_login register_cont hide">
							<span>New Customer?</span> <button onclick="jQuery('#register_with_us').removeClass('hide');" class="create_btn">Create an Account</button>
						</div>
						<a class="facebook hide" href="javascript:void(0);" title="Facebook">
							<img src="<?php echo $this->getSkinUrl('images/fb.png');?>" alt="Facebook">
						</a> 
						<a class="google_plus hide" href="javascript:void(0);" title="Google Plus">
							<img src="<?php echo $this->getSkinUrl('images/gp.png');?>" alt="Google Plus">
						</a> 
					</div>

					
					
				</div>
				</div>
				<div class="tab-pane <?php if($this->isCustomerLoggedIn()){echo "active";} else{echo "hide";}?>" id="4a">

					<?php 
							$block = $this->getLayout()->createBlock('checkout/cart');

						    $block->setTemplate('checkout/cart.phtml');

						    echo "<div class='cart_item_cont'>".$block->toHtml()."</div>";


							$block_totals = $this->getLayout()->createBlock('checkout/cart_totals');

						    $block_totals->setTemplate('checkout/cart/totals.phtml');

						    echo  "<div class='price_cont'>".$block_totals->toHtml()."</div>";
?>
<?php echo $this->getLayout()->createBlock("checkout/cart_coupon")->setTemplate("checkout/cart/coupon.phtml")->toHtml();?>
						<div class='price_cont_buttons clearfix'>
							<a href="<?php if(null!==Mage::getModel('checkout/session')->getData('last_category')){echo Mage::getModel('checkout/session')->getData('last_category');}else{echo $this->getBaseUrl();}?>" class="continue_shopping">Continue Shopping</a>
							<a href="javascript:void(0);" class="proceed_to_checkout" onclick="proceedToCheckout(this);">Proceed to Checkout</a>
						</div>
					
				</div>
				<div class="tab-pane " id="2a">
					
					<!--        --><?php //if (!$this->isVirtual()) { ?>

					<div class="iwd_opc_column" id="iwd_opc_shipping_column">
						<div class="iwd_opc_alternative_column">
							<div id="iwd_opc_billing_address">
								<form class="iwd_opc_form" id="iwd_opc_billing_form">
									<?php if (!$this->isCustomerLoggedIn()) { ?>
									<div id="iwd_opc_login hide">
										<!--<?php echo $this->getChildHtml('login'); ?>-->
										<?php echo $this->getChildHtml('loader');
										?>
									</div>
									<div class="iwd_opc_section_delimiter"></div>
									<?php } ?>
                            <!--<div class="iwd_opc_universal_wrapper iwd_opc_message iwd_opc_section_message error_message"
                                 style="display:none;">

                             </div>-->
                             <?php echo $this->getChildHtml('billing_address'); ?>
                         </form>
                         <?php  echo $this->getChildHtml('loader');
                         ?>
                     </div>

                     <?php if (!$this->isVirtual()) {
                     	?>
                     	<div id="iwd_opc_shipping_address"
                     	<?php if (!$this->isShowShippingForm() && !$this->isCustomerLoggedIn()){?>
                     	style="display:none;"
                     	<?php } ?>
                     	>
                            <!--<div class="iwd_opc_universal_wrapper iwd_opc_message iwd_opc_section_message error_message"
                                 style="display:none;">

                             </div>-->
                             <form class="iwd_opc_form" id="iwd_opc_shipping_form">
                             	<?php echo $this->getChildHtml('shipping_address'); ?>
                             </form>
                             <?php echo $this->getChildHtml('loader'); 
                             ?>
                         </div>
                         <script type="text/javascript">
                         var iwdOpcShippingAddressForm = new VarienForm('iwd_opc_shipping_form');
                         iwdOpcShippingAddressForm.validator.options = {
                         	onSubmit: false,
                         	stopOnFirst: false,
                         	immediate: false,
                         	focusOnError: false,
                         	useTitles: false,
                         	onFormValidate: function (result, form) {
                         	},
                         	onElementValidate: function (result, elm) {
                         	}
                         };
                         </script>
                         <?php }
                    /*else { ?>
                    <?php if ($opcHelper->isShowCommentField()) { ?>
                        <div class="iwd_opc_section_delimiter"></div>
                        <div id="iwd_opc_comment">
                            <?php echo $this->getChildHtml('comment'); ?>
                            <?php echo $this->getChildHtml('loader'); ?>
                        </div>
                    <?php } ?>
                    <?php } */ ?>
                    <div class="iwd_opc_column_content" tabindex="-1">
                    <!--<div id="iwd_opc_payment">
                        <?php echo $this->getChildHtml('payment'); ?>
                        <?php //echo $this->getChildHtml('loader');
					 ?>
					</div>-->
					<div id="iwd_opc_shipping_method" style="display:none">
						<div class="iwd_opc_universal_wrapper iwd_opc_message iwd_opc_section_message error_message"
						style="display:none;">

					</div>
					<?php echo $this->getChildHtml('shipping_method'); ?>
					<?php if (!$this->isVirtual()) { ?>
					<?php echo $this->getChildHtml('loader'); 
					?>
					<?php } ?>
				</div>
				<?php if ($opcHelper->isShowCommentField()
					|| ($opcHelper->isShowGiftMessage() && !$this->isVirtual())
					) { ?>
					<div class="iwd_opc_section_delimiter"></div>
					<?php } ?>
					<?php if ($opcHelper->isShowGiftMessage() && !$this->isVirtual()) { ?>
					<div id="iwd_opc_gift_message">
						<div class="iwd_opc_universal_wrapper iwd_opc_message
						iwd_opc_section_message error_message"
						style="display:none;">

					</div>
					<?php echo $this->getChildHtml('gift_message'); ?>
					<?php echo $this->getChildHtml('loader'); 
					?>
				</div>
				<?php } ?>
			</div>
			<div class="review_cont"><button class="review_pay_btn" onclick="reviewAndPay();"><?php echo Mage::helper('checkout')->__('Review and Place Order');?></button></div>

			<script type="text/javascript">
			var iwdOpcBillingAddressForm = new VarienForm('iwd_opc_billing_form');
			iwdOpcBillingAddressForm.validator.options = {
				onSubmit: false,
				stopOnFirst: false,
				immediate: false,
				focusOnError: false,
				useTitles: false,
				onFormValidate: function (result, form) {
				},
				onElementValidate: function (result, elm) {
				}
			};
			</script>
		</div>
		<div class="verify-mobile-popup" >
			<div>Please enter the OTP sent to your mobile number</div>
			<input id="otp" class="otp" placeholder="ENTER OTP"></input>
			<button onclick="verify_otp()" class="verify_button green_btn">Verify Mobile</button>
			<button onclick="editmobile()" class="edit_button gray_btn">Edit Mobile</button>
		</div>
	</div>

	<!--        --><?php //} ?>
</div>
<div class="tab-pane" id="3a">
	<div class="iwd_opc_column" id="iwd_opc_payment_column">
		<div class="iwd_opc_alternative_column" style="float:none;">
			
			<div class="iwd_opc_column_content" tabindex="-1">
				<div class="iwd_opc_top">
					<div id="iwd_opc_top_review" tabindex="-1">
						<?php echo $this->getChildHtml('review'); ?>
					</div>
				</div>
                    <!--<div id="iwd_opc_payment">
                        <?php echo $this->getChildHtml('payment'); ?>
                        <?php //echo $this->getChildHtml('loader'); 
			?>
		</div>-->
		<?php if ($opcHelper->isShowSubscribe()) { ?>
		<div id="iwd_opc_subscribe">
			<?php echo $this->getChildHtml('subscribe'); ?>
		</div>
		<div class="iwd_opc_section_delimiter"></div>
		<?php } ?>
		<?php echo $this->getChildHtml('agreements'); ?>
		<!--<?php if ($opcHelper->isShowCommentField()) { ?>
		<div id="iwd_opc_comment">
			<?php echo $this->getChildHtml('comment'); ?>
			<?php echo $this->getChildHtml('loader'); 
			?>
		</div>
		<?php } ?>-->
		<div id="iwd_opc_payment">
			<?php echo $this->getChildHtml('payment'); ?>
                        <?php //echo $this->getChildHtml('loader'); 
                        ?>
                    </div>
                    <div id="iwd_opc_place_order">
                    	<div class="iwd_opc_universal_wrapper">
                    		<button type="button"
                    		id="iwd_opc_place_order_button"
                    		title="<?php echo $this->escapeHtml($this->__('Place Order')); ?>"
                    		class="iwd_opc_button active on_submit_validate">
                    		<?php echo $this->escapeHtml($this->__('Place Order')); ?>
                    	</button>
                    </div>
                    <div class="iwd_opc_universal_wrapper iwd_opc_message info_message" style="display:none;">
                    	<?php echo $this->escapeHtml($this->__('All required fields haven\'t been filled.')) ?>
                    </div>
                </div>
                
            </div>
        </div>
    </div>
</div>

</div>
</div>



<div class="iwd_opc_clear"></div>


<div class="iwd_opc_clear"></div>
<?php echo $this->getChildHtml('loader');
?>
</div>
</div>
<div class="iwd_opc_clear"></div>
<script type="text/javascript">	
function ValidateEmail(inputText)  
{  
	var mailformat = /^\w+([\.-]?\w+)*@\w+([\.-]?\w+)*(\.\w{2,3})+$/;  
	if(inputText.match(mailformat))  
	{  
		return true;  
	}  
	else  
	{  
		return false;  
	}  
} 
function proceedToCheckout(e)
{

	//var email=document.getElementById("email_address").value;
	//document.getElementById("loginEmail").value=email;
	//if(ValidateEmail(email)){
	if(true){
		jQuery('#4a').removeClass("active");
		jQuery('#2a').removeClass("hide");
		jQuery('#2a').addClass("active");
		jQuery('#4a').addClass("hide");
		//jQuery('.4atab').addClass("hide");
		jQuery('.4atab').removeClass("active");
		jQuery('.2atab').removeClass("hide");
		//jQuery('.2atab').removeClass("visited");

		jQuery('.2atab').addClass("active");
		jQuery('.2atab').removeClass("visited");
		jQuery('.invalid-email').addClass('hide');
	}
	else{
		jQuery('.invalid-email').removeClass('hide');
	}
	page_url=encodeURIComponent(window.location.href);
	email=encodeURIComponent(email);
}

function continueAsGuest(e)
{

	var email=document.getElementById("email_address").value;
	document.getElementById("loginEmail").value=email;
	//if(ValidateEmail(email)){
	if(true){
		jQuery('#1a').removeClass("active");
		jQuery('#4a').removeClass("hide");
		jQuery('#4a').addClass("active");
		jQuery('#1a').addClass("hide");
		jQuery('.1atab').addClass("hide");
		jQuery('.1atab').removeClass("active");
		jQuery('.4atab').removeClass("hide");
		jQuery('.4atab').addClass("active");
		jQuery('.invalid-email').addClass('hide');

		jQuery('.2atab').removeClass("hide");
		jQuery('.3atab').removeClass("hide");
		jQuery('.2atab').addClass("visited");
		jQuery('.3atab').addClass("visited");
		
	}
	else{
		jQuery('.invalid-email').removeClass('hide');
	}
	page_url=encodeURIComponent(window.location.href);
	email=encodeURIComponent(email);
}

function login()
{
	var email=document.getElementById("email_address").value;
	var password=document.getElementById("password").value;
	/*#jQuery('#password').removeClass('hide');*/
		if(email==''){jQuery('#email_address').css('border-bottom','1px solid red');jQuery('.login-error').removeClass('hide');return false;} else{jQuery('#email_address').css('border-bottom','1px solid #ccc');jQuery('.login-error').addClass('hide');}
	/*if(password==''){jQuery('#password').css('border-bottom','1px solid red');jQuery('.login-error').removeClass('hide');return false;} else{jQuery('#password').css('border-bottom','1px solid #ccc');jQuery('.login-error').addClass('hide');}*/
	if(jQuery('#password').hasClass('showing')){
		var signinUrl='<?php echo $this->getBaseUrl()?>checkout/onepage/iwdlogin?email_address='+email+'&password='+password;

		jQuery.ajax({
			url:signinUrl,
			success:function(data){
				if(data=='1')
				{
					location.reload();
				}
				else
				{
					jQuery('.invalid-email-password').removeClass('hide');
					jQuery('.text-left').removeClass('hide');
				}
			},
			async:false
		});
	}
	else{
		var checkRegisterUrl='<?php echo $this->getBaseUrl()?>checkout/onepage/checkRegistered?email_address='+email;
		jQuery.ajax({
			url:checkRegisterUrl,
			success:function(data){
				if(data=='1')
				{
					console.log('customer exists');
					jQuery('#password').removeClass('hide');
					jQuery('#password').addClass('showing');
					jQuery('#password').focus();
					jQuery('.already-registered').removeClass('hide');
					jQuery('#save_cart').text('Login');
					jQuery('.text-left').removeClass('hide');
				}
				else
				{
					jQuery('#1a').removeClass("active");
					jQuery('#4a').removeClass("hide");
					jQuery('#4a').addClass("active");
					jQuery('#1a').addClass("hide");
					jQuery('.1atab').addClass("hide");
					jQuery('.1atab').removeClass("active");
					jQuery('.4atab').removeClass("hide");
					jQuery('.4atab').addClass("active");
					jQuery('.invalid-email').addClass('hide');

					jQuery('.2atab').removeClass("hide");
					jQuery('.3atab').removeClass("hide");
					jQuery('.2atab').addClass("visited");
					jQuery('.3atab').addClass("visited");
					jQuery('#loginEmail').val(email);
				}
			},
			async:false
		});
	

	}
	jQuery('#password').addClass('showing');
	
	page_url=encodeURIComponent(window.location.href);
	email=encodeURIComponent(email);
}

function register()
{
	var firstname=document.getElementById("register_firstname").value;
	var lastname=document.getElementById("register_lastname").value;
	var email=document.getElementById("register_email").value;
	var password=document.getElementById("register_password").value;
	if(firstname=='' || lastname=='' || email=='' || password=='')
	{
		jQuery('.register-error').removeClass('hide');
		if(firstname==''){jQuery('#register_firstname').css('border-bottom','1px solid red');} else{jQuery('#register_firstname').css('border-bottom','1px solid #ccc');}
		if(lastname==''){jQuery('#register_lastname').css('border-bottom','1px solid red');} else{jQuery('#register_lastname').css('border-bottom','1px solid #ccc');}
		if(email==''){jQuery('#register_email').css('border-bottom','1px solid red');} else{jQuery('#register_email').css('border-bottom','1px solid #ccc');}
		if(password==''){jQuery('#register_password').css('border-bottom','1px solid red');} else{jQuery('register_password').css('border-bottom','1px solid #ccc');}
	}
	else{
		var registerUrl='<?php echo $this->getBaseUrl()?>checkout/onepage/iwdregister?email='+email+'&password='+password+'&firstname='+firstname+'&lastname='+lastname;
		jQuery.ajax({
			url:registerUrl,
			success:function(data){
				if(data==-2)
				{
					jQuery('.already-registered-error').removeClass('hide');
				}
				else{
					location.reload();
				}
			},
			async:false
		});		
	}
	
	page_url=encodeURIComponent(window.location.href);
	email=encodeURIComponent(email);
}




function reviewAndPay()
{

	if(<?php if($this->isCustomerLoggedIn()){echo 1;}else{echo 0;}?> && <?php if($this->customerHasAddresses()){echo 1;}else{echo 0;}?>)
	{
		console.log('customer is logged in and has addresses saved');
		var billing_address_id=jQuery('input[name=billing_address_id]:checked', '#iwd_opc_billing_form').val();
		var shipping_address_id=jQuery('input[name=shipping_address_id]:checked', '#iwd_opc_shipping_form').val();
		console.log(billing_address_id);
		console.log(shipping_address_id);
			var saveShippingUrl="<?php echo $this->getBaseUrl()?>onepage/json/saveShippingAddress";
		var data = jQuery("#iwd_opc_shipping_form").serializeArray();
		data.forEach(function (item) {
			  if (item.name === 'shipping[same_as_billing]') {
				      item.value = 0;
				        }
		});
			
			jQuery.post(saveShippingUrl,jQuery.param(data)+"&shipping_address_id="+shipping_address_id,function(data){
				jQuery('#iwd_opc_shipping_form').removeClass("iwd_opc_form_invalid");
				jQuery('#iwd_opc_shipping_form').addClass("iwd_opc_form_valid");
			});
			var saveBillingUrl="<?php echo $this->getBaseUrl()?>onepage/json/saveBillingAddress";
		 var data = jQuery("#iwd_opc_billing_form").serializeArray();
                data.forEach(function (item) {
                          if (item.name === 'billing[use_for_shipping]') {
                                      item.value = 0;
                                        }
                });
			jQuery.post(saveBillingUrl,jQuery.param(data)+"&billing_address_id="+billing_address_id,function(data){
				jQuery('#iwd_opc_billing_form').removeClass("iwd_opc_form_invalid");
				jQuery('#iwd_opc_billing_form').addClass("iwd_opc_form_valid");
				var mobile=document.getElementsByName("billing[telephone]")[0].value;
				//if(1)
				if(validateBilling() && validateShipping())
				{
					console.log('no error');
					//jQuery('#iwd_opc_payment').html(data.payment_methods);
					jQuery('#2a').removeClass("active");
					jQuery('.2atab').removeClass("active");
					jQuery('#3a').addClass("active");
					jQuery('.3atab').addClass("active");
					window.scrollTo(0,0);
				}
				else
				{
					console('error');
				}
			});

		
	}
	else
	{
		console.log('customer is not logged in or has no addresses saved');
		if(document.getElementsByClassName('use_for_shipping')[0])
		{
			var useasshipping=document.getElementsByClassName("use_for_shipping")[0].value;
		}
		else
		{
			var useasshipping=1;
		}
		if(<?php if($this->isCustomerLoggedIn()){echo 1;}else{echo 0;}?>)
		{
			useasshipping=0;
		}
		console.log(useasshipping);
		if(useasshipping==0)
		{
		 var data = jQuery("#iwd_opc_shipping_form").serializeArray();
			if(<?php if($this->isCustomerLoggedIn()){echo 1;}else{echo 0;}?>)
			{
 		               data.forEach(function (item) {
                	          if (item.name === 'shipping[same_as_billing]') {
                        	              item.value = 0;
                                	        }
		                });
			}
			var saveShippingUrl="<?php echo $this->getBaseUrl()?>onepage/json/saveShippingAddress";
			jQuery.post(saveShippingUrl,jQuery.param(data),function(data){
				jQuery('#iwd_opc_shipping_form').removeClass("iwd_opc_form_invalid");
				jQuery('#iwd_opc_shipping_form').addClass("iwd_opc_form_valid");
			});
		 var data = jQuery("#iwd_opc_billing_form").serializeArray();
			if(<?php if($this->isCustomerLoggedIn()){echo 1;}else{echo 0;}?>)
			{
 		               data.forEach(function (item) {
                	          if (item.name === 'billing[use_for_shipping]') {
                        	              item.value = 0;
                                	        }
		                });
			}

			var saveBillingUrl="<?php echo $this->getBaseUrl()?>onepage/json/saveBillingAddress";
			jQuery.post(saveBillingUrl,jQuery.param(data),function(data){
				jQuery('#iwd_opc_billing_form').removeClass("iwd_opc_form_invalid");
				jQuery('#iwd_opc_billing_form').addClass("iwd_opc_form_valid");
				var mobile=document.getElementsByName("billing[telephone]")[0].value;
				if(validateBilling() && validateShipping())
				{
					//jQuery('#iwd_opc_payment').html(data.payment_methods);
					jQuery('#2a').removeClass("active");
					jQuery('.2atab').removeClass("active");
					jQuery('#3a').addClass("active");
					jQuery('.3atab').addClass("active");
					window.scrollTo(0,0);
				}
				else
				{
				}
			});
		}
		else
		{
			var saveShippingUrl="<?php echo $this->getBaseUrl()?>onepage/json/saveShippingAddress";
			jQuery.post(saveShippingUrl,jQuery("#iwd_opc_billing_form").serialize(),function(data){
				jQuery('#iwd_opc_shipping_form').removeClass("iwd_opc_form_invalid");
				jQuery('#iwd_opc_shipping_form').addClass("iwd_opc_form_valid");
			});

			var saveBillingUrl="<?php echo $this->getBaseUrl()?>onepage/json/saveBillingAddress";
			jQuery.post(saveBillingUrl,jQuery("#iwd_opc_billing_form").serialize(),function(data){
				jQuery('#iwd_opc_billing_form').removeClass("iwd_opc_form_invalid");
				jQuery('#iwd_opc_billing_form').addClass("iwd_opc_form_valid");
				var mobile=document.getElementsByName("billing[telephone]")[0].value;
				if(validateBilling() && validateShipping())
				{
					//jQuery('#iwd_opc_payment').html(data.payment_methods);
					jQuery('#2a').removeClass("active");
					jQuery('.2atab').removeClass("active");
					jQuery('#3a').addClass("active");
					jQuery('.3atab').addClass("active");
					window.scrollTo(0,0);
				}
				else
				{
				}
			});
		}

	}
	var paymentmethod ='';
	if(paymentmethod=='cashondelivery')
	{
	}
	else
	{
	}
}



function reviewAndPay2()
{
	console.log('0');
	var useasshipping=document.getElementsByClassName("use_for_shipping")[0];
	if(useasshipping.value==0)
	{
	console.log('1');
		var saveShippingUrl="<?php echo $this->getBaseUrl()?>onepage/json/saveShippingAddress";
		jQuery.post(saveShippingUrl,jQuery("#iwd_opc_shipping_form").serialize(),function(data){
			jQuery('#iwd_opc_shipping_form').removeClass("iwd_opc_form_invalid");
			jQuery('#iwd_opc_shipping_form').addClass("iwd_opc_form_valid");
	console.log('2');
		});
	}
	var paymentmethod ='';
	if(paymentmethod=='cashondelivery')
	{
		jQuery('.3atab').addClass('hide');
		var mobile=document.getElementsByName("billing[telephone]")[0].value;
		if(isValid(mobile))
		{
			jQuery('.verify-mobile-popup').css('display','block');
			url2 = "https://www.zaabel.com/bimconnect/index/sendotp?tel="+mobile;
			jQuery.ajax({
				url:url2,
				success:function(data){
				},
				async:false
			});

		}
		else
		{
			alert("Please enter a valid 10 digit  Mobile number");
		}
	}
	else
	{
		var mobile=document.getElementsByName("billing[telephone]")[0].value;
		if(validateBilling() && validateShipping())
		{
			jQuery('#2a').removeClass("active");
			jQuery('.2atab').removeClass("active");
			jQuery('#3a').addClass("active");
			jQuery('.3atab').addClass("active");
			jQuery('.3atab').removeClass("visited");
			window.scrollTo(0,0);
		}
		else
		{

		}
	}
}

function validateBilling(){
	var error=0;
	jQuery('.billing_region').removeClass('required-entry');
	jQuery('.billing_state').removeClass('required-entry');
	jQuery('#iwd_opc_billing_address_fields .required-entry').each(function(e){
		jQuery(this).css('border','0px')
		if(jQuery(this).val()=='')
		{
			var name =jQuery(this).attr('name');
			jQuery(this).css('border-bottom','1px solid red');
			console.log(name);
			error=1;
		}
		else
		{
			jQuery(this).css('border-bottom','1px solid #ddd');
		}

	});
	//var billingzip = jQuery('#iwd_opc_billing_address_fields .zip_code input').val();
	//zipregex=/^([1-9])([0-9]){5}$/;
	//if(zipregex.test(billingzip)==false){error=1;jQuery('#iwd_opc_billing_address_fields .zip_code input').css('border','1px dashed #000000');}
	//var billingmobile=document.getElementsByName("billing[telephone]")[0].value;
	//if(!isValid(billingmobile)){error=1;jQuery('#iwd_opc_billing_address_fields .mobile input').css('border','1px dashed #000000');}

	if(error==0)
	{
		jQuery('.billing-address-error').addClass('hide');
		return true;
	}
	else
	{
		jQuery('.billing-address-error').removeClass('hide');
		return false;
	}
}

function validateShipping(){
	jQuery('.shipping_region').removeClass('required-entry');
        jQuery('.shipping_state').removeClass('required-entry');
	if(jQuery('.use_for_shipping').val()==1)
	{

		return true;
	}
	var shippingAddressExists=document.getElementById("iwd_opc_shipping_address_fields");
	if(shippingAddressExists==null){return true;}
	console.log(shippingAddressExists);
	var error=0;
	jQuery('#iwd_opc_shipping_address_fields .required-entry').each(function(e){
		jQuery(this).css('border','0px')
		if(jQuery(this).val()=='')
		{
			var name =jQuery(this).attr('name');
			jQuery(this).css('border-bottom','1px solid red')
			error=1;
		}
		else
		{
			jQuery(this).css('border-bottom','1px solid #ddd');
		}
	});
	//var shippingzip = jQuery('#iwd_opc_shipping_address_fields .zip_code input').val();
	//zipregex=/^([1-9])([0-9]){5}$/;
	//if(zipregex.test(shippingzip)==false){error=1;jQuery('#iwd_opc_shipping_address_fields .zip_code input').css('border','1px dashed #000000');}
	//var shippingmobile=document.getElementsByName("shipping[telephone]")[0].value;
	//if(!isValid(shippingmobile)){error=1;jQuery('#iwd_opc_shipping_address_fields .mobile input').css('border','1px dashed #000000');}

	if(error==0)
	{
		jQuery('.shipping-address-error').addClass('hide');
		return true;
	}
	else
	{
		jQuery('.shipping-address-error').removeClass('hide');
		return false;
	}
}

function isValid(val)
{
	if (/^\d{10}$/.test(val))
	{
		return true;
	} else 
	{
		return false
	}
}

function editmobile()
{
	jQuery('.verify-mobile-popup').css('display','none');
	jQuery('.3atab').removeClass('hide');
	jQuery('input[name="billing[telephone]"]').focus();
}
function verify_otp()
{
	var mobile=document.getElementsByName("billing[telephone]")[0].value;
	var otp=document.getElementById("otp").value;
				url3='';//url3 = "https://www.zaabel.com/bimconnect/index/checkotp?tel="+mobile+"&otp="+otp;
				jQuery.ajax(
				{
					url:url3,
					success:function(data){
						if(data=='success')
						{
							jQuery('#2a').removeClass("active");
							jQuery('.2atab').removeClass("active");
							jQuery('#3a').addClass("active");
							jQuery('.3atab').addClass("active");
							jQuery('.verify-mobile-popup').css('display','none');
							jQuery('.3atab').removeClass('hide');
							window.scrollTo(0,0);
						}
						else if(data=="error")
						{
							alert("OTP mismatch. Please enter correct OTP");
						}
					},
					async:false
				}
				);
}


jQuery(document).ready(function()
{
	jQuery('body').on("click",".visited a" , function(event)
	{
		event.preventDefault();
		event.stopPropagation();
	});
});

/*submit validation*/
jQuery("body").on("click",".on_submit_validate", function(e)
{
	if(!jQuery('#payment_method_ccavenuepay').is(':checked') && !jQuery('#payment_method_cashondelivery').is(':checked')){jQuery('#iwd_opc_payment_method').css('border','1px dashed #000000');}
	else{
		jQuery(this).addClass("hide_on_hover");
		e.preventDefault();
	}
});

/*Phone Number Validations with 10 digits limit*/
jQuery("body").on("keypress , focus",".phone_validate",function(e){
	return true;
	if((e.which<47 || e.which>57) )
	{
		return false;
	}
	else
	{
		if(jQuery(this).val().length>=10)
		{
			return false; 
		}
	}

});
/*Phone Number Validations with 10 digits limit Ends Here*/
/*pincode Validations with 6 digits limit*/
jQuery("body").on("keypress , focus",".zip_validate",function(e){
	return true;
	if((e.which<47 || e.which>57) )
	{
		return false;
	}
	else
	{
		if(jQuery(this).val().length>=6)
		{
			return false; 
		}
	}

});
/*pincode Validations with 6 digits limit Ends Here*/

</script>


<!--<block type="" name="checkout.cart.totals" as="totals" template="checkout/cart/totals.phtml"/>-->
